Subject: Re: "Producting Open Source Software" book and distributed SCMs

From: Jakub Narebski <[email-masked]>
Date: Wed, 2 May 2007 00:27:41 +0200

Linus Torvalds wrote:

> And the nice thing about this is that if some subsystem needs to make 
> trivial changes to another subsystem, they don't need to ask for 
> permission. They just do them, AND THEN THEY EXPLAIN THEM! And if they 
> really were trivial and obvious (and that's almost always the case), they 
> just get pulled normally. No special dispensation.

Actually Karl Fogel wrote in "Producting Open Source Software" that he
recommends and uses 'soft' partial commit access; it means that committing
is restricted to a part of project for some by a guideline, but is not
enforced by the tool (by SCM).

P.S. I recommend actually reading the book (at http://producingoss.com)
instead of relying on my understanding of it.

-- 
Jakub Narebski
ShadeHawk on #git
Poland